# Uses of Class
org.apache.velocity.runtime.directive.Scope

Packages that use Scope
Package
Description
org.apache.velocity.runtime.directive

## Uses of Scope in org.apache.velocity.runtime.directive

Subclasses of Scope in org.apache.velocity.runtime.directive
Modifier and Type
Class
Description
`class`
`ForeachScope`
This represents scoping and metadata for #foreach, adding index, count, hasNext, isFirst and isLast info.
Methods in org.apache.velocity.runtime.directive that return Scope
Modifier and Type
Method
Description
`Scope`
Scope.`getParent()`
Returns the parent control reference overridden by the placement of this instance in the context.
`Scope`
Scope.`getTopmost()`
Returns the topmost parent control reference, retrieved by simple recursion on `getParent()`.
`protected Scope`
Directive.`makeScope(Object prev)`
Constructors in org.apache.velocity.runtime.directive with parameters of type Scope
Modifier
Constructor
Description
``
`Info(Scope scope, Object owner)`
c'tor